package org.dromara.monitoring.monEnum;


public enum YsPort {
    ON_OFF_LINE_TOPIC_TYP("设备在线状态类型","ys.onoffline"),
    GETTOKENURLBYPOST("获取token的url","https://open.ys7.com/api/lapp/token/get"),
    GETDEVICELISTURL("获取设备列表的url","https://open.ys7.com/api/lapp/device/list"),
    UPDATEDEVICENAMEURLBYPOST("修改设备名称的url","https://open.ys7.com/api/lapp/device/name/update"),
    ADDDEVICEPRESETURLBYPOST("添加设备预置点请求地址","https://open.ys7.com/api/lapp/device/preset/add"),
    MOVEDEVICEPRESETURLBYPOST("调用设备预置点请求地址","https://open.ys7.com/api/lapp/device/preset/move"),
    DELETEDEVICEPRESETURLBYPOST("删除设备预置点请求地址","https://open.ys7.com/api/lapp/device/preset/clear"),
    CAPTUREDEVICEURLBYPOST("设备拍照请求地址","https://open.ys7.com/api/lapp/device/capture"),
    DEVICESTORAGEMEDIUM ("设备存储介质格式化接口","https://open.ys7.com/api/v3/device/format/disk"),
    STORAGEMEDIUMSTATUS ("设备存储介质状态查询接口","https://open.ys7.com/api/v3/device/format/status");



    // 成员变量
    private final String sitename;  // 中文名称
    private final String site;

    public String getSiteName() {
        return sitename;
    }

    public String getSite() {
        return site;
    }


    YsPort(String sitename, String site) {
        this.sitename = sitename;
        this.site = site;
    }
}

